package com.pfc.app.nbff;

import java.io.BufferedReader;
import java.io.InputStream;
import java.io.InputStreamReader;

import org.apache.http.HttpEntity;
import org.apache.http.HttpResponse;
import org.apache.http.client.HttpClient;
import org.apache.http.client.methods.HttpPost;
import org.apache.http.impl.client.DefaultHttpClient;
import org.json.JSONArray;
import org.json.JSONException;
import org.json.JSONObject;
import org.json.JSONTokener;

import android.app.AlertDialog;
import android.app.ListActivity;
import android.content.DialogInterface;
import android.content.DialogInterface.OnClickListener;
import android.os.Bundle;
import android.util.Log;
import android.view.Gravity;
import android.view.KeyEvent;
import android.view.View;
import android.widget.ArrayAdapter;
import android.widget.ListView;
import android.widget.TextView;
import android.widget.Toast;

public class ActividadMensajesRecibidos extends ListActivity{
	
	static String[] OPCIONES;
	private String usuario = new String();
	static String mensajes [][];
	static int numMensajes;
	public final static int numMensajesMaximo = 60;
	public void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        //Le damos una vista que mostrar al programa
        setContentView(R.layout.layout_lista);
        setTitle(R.string.tituloMensajesRecibidos);
        usuario = getIntent().getStringExtra("idUser");
        
        
        Log.i("ArrayList", "el usuario es: " + usuario);
     
        mensajes = mensajesRecibidos(usuario);
        Log.i("ArrayList", "el tamaño es: " + mensajes.length);
        OPCIONES = new String [numMensajes];
        Log.i("ArrayList", "Entramos en el bucle teniendo que obtener: " + numMensajes + " mensajes");
        
        if (mensajes[0][0].equals("-1")){
        	AlertDialog.Builder constructorNoMensajesRecibidosAdv = new AlertDialog.Builder(ActividadMensajesRecibidos.this);
			constructorNoMensajesRecibidosAdv.setCancelable(true);
			TextView textoNoAdv = new TextView(ActividadMensajesRecibidos.this);
			textoNoAdv.setText(R.string.noHayMensajes);
			textoNoAdv.setGravity(Gravity.CENTER);
			constructorNoMensajesRecibidosAdv.setView(textoNoAdv);
			constructorNoMensajesRecibidosAdv.setPositiveButton(R.string.aceptar, new OnClickListener() {
				
				public void onClick(DialogInterface dialog, int which) {
					finish();
					dialog.dismiss();	
				}
			});
			constructorNoMensajesRecibidosAdv.create().show();
        	
        }else{
	        for (int i=0; i < numMensajes ; i++){
	        	
	        	String nombre = mensajes[i][1];
	        	if(nombre!=null && i<numMensajesMaximo){
	        		OPCIONES[i]="Mensaje de: " + nombre;
	        		Log.i("ArrayList", "el array opciones: " + OPCIONES[i] + "cont: " + i);
	        		
	        	}
	        }
	        
	        Log.i("ArrayList", "Salimos del bucle con: " + numMensajes + " mensajes");
	        if ( numMensajes > 60){
	        	
				AlertDialog.Builder constructorMensajesRecibidosAdv = new AlertDialog.Builder(ActividadMensajesRecibidos.this);
				constructorMensajesRecibidosAdv.setCancelable(true);
				TextView textoAdv = new TextView(ActividadMensajesRecibidos.this);
				textoAdv.setText(R.string.excesoMensajes);
				textoAdv.setGravity(Gravity.CENTER);
				constructorMensajesRecibidosAdv.setView(textoAdv);
				constructorMensajesRecibidosAdv.setPositiveButton(R.string.aceptar, new OnClickListener() {
					
					public void onClick(DialogInterface dialog, int which) {
						dialog.dismiss();	
					}
				});
	        	constructorMensajesRecibidosAdv.create().show();
	        }
	        Log.i("ArrayList", "Antes de crear el adaptador: ");
	        setListAdapter(new ArrayAdapter<String>(this, android.R.layout.simple_list_item_1,OPCIONES) );
	        Log.i("ArrayList", "Salimos del bucle con: " + numMensajes + " mensajes");
        }
	}
	
protected void onListItemClick(ListView l, View v, int position, long id){
		
		super.onListItemClick(l, v, position, id);
		
		int i = (int) id;
		Log.i("Estamos!", "número de opciones: " + i);
		
		
		switch (i) {
		
			case 0:
				if (0 < numMensajes){
					AlertDialog dialogo0;
					AlertDialog.Builder constructorMensajesRecibidos0 = new AlertDialog.Builder(ActividadMensajesRecibidos.this);
					constructorMensajesRecibidos0.setCancelable(true);
					TextView texto0 = new TextView(ActividadMensajesRecibidos.this);
					texto0.setText(mensajes[i][3]);
					texto0.setGravity(Gravity.CENTER);
					constructorMensajesRecibidos0.setView(texto0);	
					constructorMensajesRecibidos0.setPositiveButton(R.string.aceptar, new OnClickListener() {
						
						public void onClick(DialogInterface dialog, int which) {
							dialog.dismiss();
						}
					});
					constructorMensajesRecibidos0.setNegativeButton(R.string.borrar, new OnClickListener() {
						
						public void onClick(DialogInterface dialog, int which) {
							//TODO borrarMensaje (idMensaje);
							
						}
					});
					dialogo0 = constructorMensajesRecibidos0.create();
					dialogo0.show();
				}
				break;
			case 1:
				if (1 < numMensajes){
					AlertDialog dialogo1;
					AlertDialog.Builder constructorMensajesRecibidos1 = new AlertDialog.Builder(ActividadMensajesRecibidos.this);
					constructorMensajesRecibidos1.setCancelable(true);
					TextView texto1 = new TextView(ActividadMensajesRecibidos.this);
					texto1.setText(mensajes[i][3]);
					texto1.setGravity(Gravity.CENTER);
					constructorMensajesRecibidos1.setView(texto1);	
					constructorMensajesRecibidos1.setPositiveButton(R.string.aceptar, new OnClickListener() {
						
						public void onClick(DialogInterface dialog, int which) {
							dialog.dismiss();
						}
					});
					constructorMensajesRecibidos1.setNegativeButton(R.string.borrar, new OnClickListener() {
						
						public void onClick(DialogInterface dialog, int which) {
							//TODO borrarMensaje (idMensaje);
							
						}
					});
					dialogo1 = constructorMensajesRecibidos1.create();
					dialogo1.show();
				}
				break;
			case 2:
				if (2 < numMensajes){
					AlertDialog dialogo2;
					AlertDialog.Builder constructorMensajesRecibidos2 = new AlertDialog.Builder(ActividadMensajesRecibidos.this);
					constructorMensajesRecibidos2.setCancelable(true);
					TextView texto2 = new TextView(ActividadMensajesRecibidos.this);
					texto2.setText(mensajes[i][3]);
					texto2.setGravity(Gravity.CENTER);
					constructorMensajesRecibidos2.setView(texto2);	
					constructorMensajesRecibidos2.setPositiveButton(R.string.aceptar, new OnClickListener() {
						
						public void onClick(DialogInterface dialog, int which) {
							dialog.dismiss();
						}
					});
					constructorMensajesRecibidos2.setNegativeButton(R.string.borrar, new OnClickListener() {
						
						public void onClick(DialogInterface dialog, int which) {
							//TODO borrarMensaje (idMensaje);
							
						}
					});
					dialogo2 = constructorMensajesRecibidos2.create();
					dialogo2.show();
				}
				break;
			case 3:
				if (3 < numMensajes){
					AlertDialog dialogo3;
					AlertDialog.Builder constructorMensajesRecibidos3 = new AlertDialog.Builder(ActividadMensajesRecibidos.this);
					constructorMensajesRecibidos3.setCancelable(true);
					TextView texto3 = new TextView(ActividadMensajesRecibidos.this);
					texto3.setText(mensajes[i][3]);
					texto3.setGravity(Gravity.CENTER);
					constructorMensajesRecibidos3.setView(texto3);	
					constructorMensajesRecibidos3.setPositiveButton(R.string.aceptar, new OnClickListener() {
						
						public void onClick(DialogInterface dialog, int which) {
							dialog.dismiss();
						}
					});
					constructorMensajesRecibidos3.setNegativeButton(R.string.borrar, new OnClickListener() {
						
						public void onClick(DialogInterface dialog, int which) {
							//TODO borrarMensaje (idMensaje);
							
						}
					});
					dialogo3 = constructorMensajesRecibidos3.create();
					dialogo3.show();
				}
				break;
			case 4:
				if (4 < numMensajes){
					AlertDialog dialogo4;
					AlertDialog.Builder constructorMensajesRecibidos4 = new AlertDialog.Builder(ActividadMensajesRecibidos.this);
					constructorMensajesRecibidos4.setCancelable(true);
					TextView texto4 = new TextView(ActividadMensajesRecibidos.this);
					texto4.setText(mensajes[i][3]);
					texto4.setGravity(Gravity.CENTER);
					constructorMensajesRecibidos4.setView(texto4);	
					constructorMensajesRecibidos4.setPositiveButton(R.string.aceptar, new OnClickListener() {
						
						public void onClick(DialogInterface dialog, int which) {
							dialog.dismiss();
						}
					});
					constructorMensajesRecibidos4.setNegativeButton(R.string.borrar, new OnClickListener() {
						
						public void onClick(DialogInterface dialog, int which) {
							//TODO borrarMensaje (idMensaje);
							
						}
					});
					dialogo4 = constructorMensajesRecibidos4.create();
					dialogo4.show();
				}
				break;
			case 5:
				if (5 < numMensajes){
					AlertDialog dialogo5;
					AlertDialog.Builder constructorMensajesRecibidos5 = new AlertDialog.Builder(ActividadMensajesRecibidos.this);
					constructorMensajesRecibidos5.setCancelable(true);
					TextView texto5 = new TextView(ActividadMensajesRecibidos.this);
					texto5.setText(mensajes[i][3]);
					texto5.setGravity(Gravity.CENTER);
					constructorMensajesRecibidos5.setView(texto5);	
					constructorMensajesRecibidos5.setPositiveButton(R.string.aceptar, new OnClickListener() {
						
						public void onClick(DialogInterface dialog, int which) {
							dialog.dismiss();
						}
					});
					constructorMensajesRecibidos5.setNegativeButton(R.string.borrar, new OnClickListener() {
						
						public void onClick(DialogInterface dialog, int which) {
							//TODO borrarMensaje (idMensaje);
							
						}
					});
					dialogo5 = constructorMensajesRecibidos5.create();
					dialogo5.show();
				}
				break;
			case 6:
				if (6 < numMensajes){
					AlertDialog dialogo6;
					AlertDialog.Builder constructorMensajesRecibidos6 = new AlertDialog.Builder(ActividadMensajesRecibidos.this);
					constructorMensajesRecibidos6.setCancelable(true);
					TextView texto6 = new TextView(ActividadMensajesRecibidos.this);
					texto6.setText(mensajes[i][3]);
					texto6.setGravity(Gravity.CENTER);
					constructorMensajesRecibidos6.setView(texto6);	
					constructorMensajesRecibidos6.setPositiveButton(R.string.aceptar, new OnClickListener() {
						
						public void onClick(DialogInterface dialog, int which) {
							dialog.dismiss();
						}
					});
					constructorMensajesRecibidos6.setNegativeButton(R.string.borrar, new OnClickListener() {
						
						public void onClick(DialogInterface dialog, int which) {
							//TODO borrarMensaje (idMensaje);
							
						}
					});
					dialogo6 = constructorMensajesRecibidos6.create();
					dialogo6.show();
				}
				break;
			case 7:
				if (7 < numMensajes){
					AlertDialog dialogo7;
					AlertDialog.Builder constructorMensajesRecibidos7 = new AlertDialog.Builder(ActividadMensajesRecibidos.this);
					constructorMensajesRecibidos7.setCancelable(true);
					TextView texto7 = new TextView(ActividadMensajesRecibidos.this);
					texto7.setText(mensajes[i][3]);
					texto7.setGravity(Gravity.CENTER);
					constructorMensajesRecibidos7.setView(texto7);	
					constructorMensajesRecibidos7.setPositiveButton(R.string.aceptar, new OnClickListener() {
						
						public void onClick(DialogInterface dialog, int which) {
							dialog.dismiss();
						}
					});
					constructorMensajesRecibidos7.setNegativeButton(R.string.borrar, new OnClickListener() {
						
						public void onClick(DialogInterface dialog, int which) {
							//TODO borrarMensaje (idMensaje);
							
						}
					});
					dialogo7 = constructorMensajesRecibidos7.create();
					dialogo7.show();
				}
				break;
			case 8:
				if (8 < numMensajes){
					AlertDialog dialogo8;
					AlertDialog.Builder constructorMensajesRecibidos8 = new AlertDialog.Builder(ActividadMensajesRecibidos.this);
					constructorMensajesRecibidos8.setCancelable(true);
					TextView texto8 = new TextView(ActividadMensajesRecibidos.this);
					texto8.setText(mensajes[i][3]);
					texto8.setGravity(Gravity.CENTER);
					constructorMensajesRecibidos8.setView(texto8);	
					constructorMensajesRecibidos8.setPositiveButton(R.string.aceptar, new OnClickListener() {
						
						public void onClick(DialogInterface dialog, int which) {
							dialog.dismiss();
						}
					});
					constructorMensajesRecibidos8.setNegativeButton(R.string.borrar, new OnClickListener() {
						
						public void onClick(DialogInterface dialog, int which) {
							//TODO borrarMensaje (idMensaje);
							
						}
					});
					dialogo8 = constructorMensajesRecibidos8.create();
					dialogo8.show();
				}
				break;
			case 9:
				if (9 < numMensajes){
					AlertDialog dialogo9;
					AlertDialog.Builder constructorMensajesRecibidos9 = new AlertDialog.Builder(ActividadMensajesRecibidos.this);
					constructorMensajesRecibidos9.setCancelable(true);
					TextView texto9 = new TextView(ActividadMensajesRecibidos.this);
					texto9.setText(mensajes[i][3]);
					texto9.setGravity(Gravity.CENTER);
					constructorMensajesRecibidos9.setView(texto9);	
					constructorMensajesRecibidos9.setPositiveButton(R.string.aceptar, new OnClickListener() {
						
						public void onClick(DialogInterface dialog, int which) {
							dialog.dismiss();
						}
					});
					constructorMensajesRecibidos9.setNegativeButton(R.string.borrar, new OnClickListener() {
						
						public void onClick(DialogInterface dialog, int which) {
							//TODO borrarMensaje (idMensaje);
							
						}
					});
					dialogo9 = constructorMensajesRecibidos9.create();
					dialogo9.show();
				}
				break;
			case 10:
				if (10 < numMensajes){
					AlertDialog dialogo10;
					AlertDialog.Builder constructorMensajesRecibidos10 = new AlertDialog.Builder(ActividadMensajesRecibidos.this);
					constructorMensajesRecibidos10.setCancelable(true);
					TextView texto10 = new TextView(ActividadMensajesRecibidos.this);
					texto10.setText(mensajes[i][3]);
					texto10.setGravity(Gravity.CENTER);
					constructorMensajesRecibidos10.setView(texto10);	
					constructorMensajesRecibidos10.setPositiveButton(R.string.aceptar, new OnClickListener() {
						
						public void onClick(DialogInterface dialog, int which) {
							dialog.dismiss();
						}
					});
					constructorMensajesRecibidos10.setNegativeButton(R.string.borrar, new OnClickListener() {
						
						public void onClick(DialogInterface dialog, int which) {
							//TODO borrarMensaje (idMensaje);
							
						}
					});
					dialogo10 = constructorMensajesRecibidos10.create();
					dialogo10.show();
				}
				break;
			case 11:
				if (11 < numMensajes){
					AlertDialog dialogo11;
					AlertDialog.Builder constructorMensajesRecibidos11 = new AlertDialog.Builder(ActividadMensajesRecibidos.this);
					constructorMensajesRecibidos11.setCancelable(true);
					TextView texto11 = new TextView(ActividadMensajesRecibidos.this);
					texto11.setText(mensajes[i][3]);
					texto11.setGravity(Gravity.CENTER);
					constructorMensajesRecibidos11.setView(texto11);	
					constructorMensajesRecibidos11.setPositiveButton(R.string.aceptar, new OnClickListener() {
						
						public void onClick(DialogInterface dialog, int which) {
							dialog.dismiss();
						}
					});
					constructorMensajesRecibidos11.setNegativeButton(R.string.borrar, new OnClickListener() {
						
						public void onClick(DialogInterface dialog, int which) {
							//TODO borrarMensaje (idMensaje);
							
						}
					});
					dialogo11 = constructorMensajesRecibidos11.create();
					dialogo11.show();
				}
				break;
			case 12:
				if (12 < numMensajes){
					AlertDialog dialogo12;
					AlertDialog.Builder constructorMensajesRecibidos12 = new AlertDialog.Builder(ActividadMensajesRecibidos.this);
					constructorMensajesRecibidos12.setCancelable(true);
					TextView texto12 = new TextView(ActividadMensajesRecibidos.this);
					texto12.setText(mensajes[i][3]);
					texto12.setGravity(Gravity.CENTER);
					constructorMensajesRecibidos12.setView(texto12);	
					constructorMensajesRecibidos12.setPositiveButton(R.string.aceptar, new OnClickListener() {
						
						public void onClick(DialogInterface dialog, int which) {
							dialog.dismiss();
						}
					});
					constructorMensajesRecibidos12.setNegativeButton(R.string.borrar, new OnClickListener() {
						
						public void onClick(DialogInterface dialog, int which) {
							//TODO borrarMensaje (idMensaje);
							
						}
					});
					dialogo12 = constructorMensajesRecibidos12.create();
					dialogo12.show();
				}
				break;
			case 13:
				if (13 < numMensajes){
					AlertDialog dialogo13;
					AlertDialog.Builder constructorMensajesRecibidos13 = new AlertDialog.Builder(ActividadMensajesRecibidos.this);
					constructorMensajesRecibidos13.setCancelable(true);
					TextView texto13 = new TextView(ActividadMensajesRecibidos.this);
					texto13.setText(mensajes[i][3]);
					texto13.setGravity(Gravity.CENTER);
					constructorMensajesRecibidos13.setView(texto13);	
					constructorMensajesRecibidos13.setPositiveButton(R.string.aceptar, new OnClickListener() {
						
						public void onClick(DialogInterface dialog, int which) {
							dialog.dismiss();
						}
					});
					constructorMensajesRecibidos13.setNegativeButton(R.string.borrar, new OnClickListener() {
						
						public void onClick(DialogInterface dialog, int which) {
							//TODO borrarMensaje (idMensaje);
							
						}
					});
					dialogo13 = constructorMensajesRecibidos13.create();
					dialogo13.show();
				}
				break;
			case 14:
				if (14 < numMensajes){
					AlertDialog dialogo14;
					AlertDialog.Builder constructorMensajesRecibidos14 = new AlertDialog.Builder(ActividadMensajesRecibidos.this);
					constructorMensajesRecibidos14.setCancelable(true);
					TextView texto14 = new TextView(ActividadMensajesRecibidos.this);
					texto14.setText(mensajes[i][3]);
					texto14.setGravity(Gravity.CENTER);
					constructorMensajesRecibidos14.setView(texto14);	
					constructorMensajesRecibidos14.setPositiveButton(R.string.aceptar, new OnClickListener() {
						
						public void onClick(DialogInterface dialog, int which) {
							dialog.dismiss();
						}
					});
					constructorMensajesRecibidos14.setNegativeButton(R.string.borrar, new OnClickListener() {
						
						public void onClick(DialogInterface dialog, int which) {
							//TODO borrarMensaje (idMensaje);
							
						}
					});
					dialogo14 = constructorMensajesRecibidos14.create();
					dialogo14.show();
				}
				break;
			case 15:
				if (15 < numMensajes){
					AlertDialog dialogo15;
					AlertDialog.Builder constructorMensajesRecibidos15 = new AlertDialog.Builder(ActividadMensajesRecibidos.this);
					constructorMensajesRecibidos15.setCancelable(true);
					TextView texto15 = new TextView(ActividadMensajesRecibidos.this);
					texto15.setText(mensajes[i][3]);
					texto15.setGravity(Gravity.CENTER);
					constructorMensajesRecibidos15.setView(texto15);	
					constructorMensajesRecibidos15.setPositiveButton(R.string.aceptar, new OnClickListener() {
						
						public void onClick(DialogInterface dialog, int which) {
							dialog.dismiss();
						}
					});
					constructorMensajesRecibidos15.setNegativeButton(R.string.borrar, new OnClickListener() {
						
						public void onClick(DialogInterface dialog, int which) {
							//TODO borrarMensaje (idMensaje);
							
						}
					});
					dialogo15 = constructorMensajesRecibidos15.create();
					dialogo15.show();
				}
				break;
			case 16:
				if (16 < numMensajes){
					AlertDialog dialogo16;
					AlertDialog.Builder constructorMensajesRecibidos16 = new AlertDialog.Builder(ActividadMensajesRecibidos.this);
					constructorMensajesRecibidos16.setCancelable(true);
					TextView texto16 = new TextView(ActividadMensajesRecibidos.this);
					texto16.setText(mensajes[i][3]);
					texto16.setGravity(Gravity.CENTER);
					constructorMensajesRecibidos16.setView(texto16);	
					constructorMensajesRecibidos16.setPositiveButton(R.string.aceptar, new OnClickListener() {
						
						public void onClick(DialogInterface dialog, int which) {
							dialog.dismiss();
						}
					});
					constructorMensajesRecibidos16.setNegativeButton(R.string.borrar, new OnClickListener() {
						
						public void onClick(DialogInterface dialog, int which) {
							//TODO borrarMensaje (idMensaje);
							
						}
					});
					dialogo16 = constructorMensajesRecibidos16.create();
					dialogo16.show();
				}
				break;
			case 17:
				if (17 < numMensajes){
					AlertDialog dialogo17;
					AlertDialog.Builder constructorMensajesRecibidos17 = new AlertDialog.Builder(ActividadMensajesRecibidos.this);
					constructorMensajesRecibidos17.setCancelable(true);
					TextView texto17 = new TextView(ActividadMensajesRecibidos.this);
					texto17.setText(mensajes[i][3]);
					texto17.setGravity(Gravity.CENTER);
					constructorMensajesRecibidos17.setView(texto17);	
					constructorMensajesRecibidos17.setPositiveButton(R.string.aceptar, new OnClickListener() {
						
						public void onClick(DialogInterface dialog, int which) {
							dialog.dismiss();
						}
					});
					constructorMensajesRecibidos17.setNegativeButton(R.string.borrar, new OnClickListener() {
						
						public void onClick(DialogInterface dialog, int which) {
							//TODO borrarMensaje (idMensaje);
							
						}
					});
					dialogo17 = constructorMensajesRecibidos17.create();
					dialogo17.show();
				}
				break;
			case 18:
				if (18 < numMensajes){
					AlertDialog dialogo18;
					AlertDialog.Builder constructorMensajesRecibidos18 = new AlertDialog.Builder(ActividadMensajesRecibidos.this);
					constructorMensajesRecibidos18.setCancelable(true);
					TextView texto18 = new TextView(ActividadMensajesRecibidos.this);
					texto18.setText(mensajes[i][3]);
					texto18.setGravity(Gravity.CENTER);
					constructorMensajesRecibidos18.setView(texto18);	
					constructorMensajesRecibidos18.setPositiveButton(R.string.aceptar, new OnClickListener() {
						
						public void onClick(DialogInterface dialog, int which) {
							dialog.dismiss();
						}
					});
					constructorMensajesRecibidos18.setNegativeButton(R.string.borrar, new OnClickListener() {
						
						public void onClick(DialogInterface dialog, int which) {
							//TODO borrarMensaje (idMensaje);
							
						}
					});
					dialogo18 = constructorMensajesRecibidos18.create();
					dialogo18.show();
				}
				break;
			case 19:
				if (19 < numMensajes){
					AlertDialog dialogo19;
					AlertDialog.Builder constructorMensajesRecibidos19 = new AlertDialog.Builder(ActividadMensajesRecibidos.this);
					constructorMensajesRecibidos19.setCancelable(true);
					TextView texto19 = new TextView(ActividadMensajesRecibidos.this);
					texto19.setText(mensajes[i][3]);
					texto19.setGravity(Gravity.CENTER);
					constructorMensajesRecibidos19.setView(texto19);	
					constructorMensajesRecibidos19.setPositiveButton(R.string.aceptar, new OnClickListener() {
						
						public void onClick(DialogInterface dialog, int which) {
							dialog.dismiss();
						}
					});
					constructorMensajesRecibidos19.setNegativeButton(R.string.borrar, new OnClickListener() {
						
						public void onClick(DialogInterface dialog, int which) {
							//TODO borrarMensaje (idMensaje);
							
						}
					});
					dialogo19 = constructorMensajesRecibidos19.create();
					dialogo19.show();
				}
				break;
			case 20:
				if (20 < numMensajes){
					AlertDialog dialogo20;
					AlertDialog.Builder constructorMensajesRecibidos20 = new AlertDialog.Builder(ActividadMensajesRecibidos.this);
					constructorMensajesRecibidos20.setCancelable(true);
					TextView texto20 = new TextView(ActividadMensajesRecibidos.this);
					texto20.setText(mensajes[i][3]);
					texto20.setGravity(Gravity.CENTER);
					constructorMensajesRecibidos20.setView(texto20);	
					constructorMensajesRecibidos20.setPositiveButton(R.string.aceptar, new OnClickListener() {
						
						public void onClick(DialogInterface dialog, int which) {
							dialog.dismiss();
						}
					});
					constructorMensajesRecibidos20.setNegativeButton(R.string.borrar, new OnClickListener() {
						
						public void onClick(DialogInterface dialog, int which) {
							//TODO borrarMensaje (idMensaje);
							
						}
					});
					dialogo20 = constructorMensajesRecibidos20.create();
					dialogo20.show();
				}
				break;
			case 21:
				if (21 < numMensajes){
					AlertDialog dialogo21;
					AlertDialog.Builder constructorMensajesRecibidos21 = new AlertDialog.Builder(ActividadMensajesRecibidos.this);
					constructorMensajesRecibidos21.setCancelable(true);
					TextView texto21 = new TextView(ActividadMensajesRecibidos.this);
					texto21.setText(mensajes[i][3]);
					texto21.setGravity(Gravity.CENTER);
					constructorMensajesRecibidos21.setView(texto21);	
					constructorMensajesRecibidos21.setPositiveButton(R.string.aceptar, new OnClickListener() {
						
						public void onClick(DialogInterface dialog, int which) {
							dialog.dismiss();
						}
					});
					constructorMensajesRecibidos21.setNegativeButton(R.string.borrar, new OnClickListener() {
						
						public void onClick(DialogInterface dialog, int which) {
							//TODO borrarMensaje (idMensaje);
							
						}
					});
					dialogo21 = constructorMensajesRecibidos21.create();
					dialogo21.show();
				}
				break;
			case 22:
				if (22 < numMensajes){
					AlertDialog dialogo22;
					AlertDialog.Builder constructorMensajesRecibidos22 = new AlertDialog.Builder(ActividadMensajesRecibidos.this);
					constructorMensajesRecibidos22.setCancelable(true);
					TextView texto22 = new TextView(ActividadMensajesRecibidos.this);
					texto22.setText(mensajes[i][3]);
					texto22.setGravity(Gravity.CENTER);
					constructorMensajesRecibidos22.setView(texto22);	
					constructorMensajesRecibidos22.setPositiveButton(R.string.aceptar, new OnClickListener() {
						
						public void onClick(DialogInterface dialog, int which) {
							dialog.dismiss();
						}
					});
					constructorMensajesRecibidos22.setNegativeButton(R.string.borrar, new OnClickListener() {
						
						public void onClick(DialogInterface dialog, int which) {
							//TODO borrarMensaje (idMensaje);
							
						}
					});
					dialogo22 = constructorMensajesRecibidos22.create();
					dialogo22.show();
				}
				break;
			case 23:
				if (23 < numMensajes){
					AlertDialog dialogo23;
					AlertDialog.Builder constructorMensajesRecibidos23 = new AlertDialog.Builder(ActividadMensajesRecibidos.this);
					constructorMensajesRecibidos23.setCancelable(true);
					TextView texto23 = new TextView(ActividadMensajesRecibidos.this);
					texto23.setText(mensajes[i][3]);
					texto23.setGravity(Gravity.CENTER);
					constructorMensajesRecibidos23.setView(texto23);	
					constructorMensajesRecibidos23.setPositiveButton(R.string.aceptar, new OnClickListener() {
						
						public void onClick(DialogInterface dialog, int which) {
							dialog.dismiss();
						}
					});
					constructorMensajesRecibidos23.setNegativeButton(R.string.borrar, new OnClickListener() {
						
						public void onClick(DialogInterface dialog, int which) {
							//TODO borrarMensaje (idMensaje);
							
						}
					});
					dialogo23 = constructorMensajesRecibidos23.create();
					dialogo23.show();
				}
				break;
			case 24:
				if (24 < numMensajes){
					AlertDialog dialogo24;
					AlertDialog.Builder constructorMensajesRecibidos24 = new AlertDialog.Builder(ActividadMensajesRecibidos.this);
					constructorMensajesRecibidos24.setCancelable(true);
					TextView texto24 = new TextView(ActividadMensajesRecibidos.this);
					texto24.setText(mensajes[i][3]);
					texto24.setGravity(Gravity.CENTER);
					constructorMensajesRecibidos24.setView(texto24);	
					constructorMensajesRecibidos24.setPositiveButton(R.string.aceptar, new OnClickListener() {
						
						public void onClick(DialogInterface dialog, int which) {
							dialog.dismiss();
						}
					});
					constructorMensajesRecibidos24.setNegativeButton(R.string.borrar, new OnClickListener() {
						
						public void onClick(DialogInterface dialog, int which) {
							//TODO borrarMensaje (idMensaje);
							
						}
					});
					dialogo24 = constructorMensajesRecibidos24.create();
					dialogo24.show();
				}
				break;
			case 25:
				if (25 < numMensajes){
					AlertDialog dialogo25;
					AlertDialog.Builder constructorMensajesRecibidos25 = new AlertDialog.Builder(ActividadMensajesRecibidos.this);
					constructorMensajesRecibidos25.setCancelable(true);
					TextView texto25 = new TextView(ActividadMensajesRecibidos.this);
					texto25.setText(mensajes[i][3]);
					texto25.setGravity(Gravity.CENTER);
					constructorMensajesRecibidos25.setView(texto25);	
					constructorMensajesRecibidos25.setPositiveButton(R.string.aceptar, new OnClickListener() {
						
						public void onClick(DialogInterface dialog, int which) {
							dialog.dismiss();
						}
					});
					constructorMensajesRecibidos25.setNegativeButton(R.string.borrar, new OnClickListener() {
						
						public void onClick(DialogInterface dialog, int which) {
							//TODO borrarMensaje (idMensaje);
							
						}
					});
					dialogo25 = constructorMensajesRecibidos25.create();
					dialogo25.show();
				}
				break;
			case 26:
				if (26 < numMensajes){
					AlertDialog dialogo26;
					AlertDialog.Builder constructorMensajesRecibidos26 = new AlertDialog.Builder(ActividadMensajesRecibidos.this);
					constructorMensajesRecibidos26.setCancelable(true);
					TextView texto26 = new TextView(ActividadMensajesRecibidos.this);
					texto26.setText(mensajes[i][3]);
					texto26.setGravity(Gravity.CENTER);
					constructorMensajesRecibidos26.setView(texto26);	
					constructorMensajesRecibidos26.setPositiveButton(R.string.aceptar, new OnClickListener() {
						
						public void onClick(DialogInterface dialog, int which) {
							dialog.dismiss();
						}
					});
					constructorMensajesRecibidos26.setNegativeButton(R.string.borrar, new OnClickListener() {
						
						public void onClick(DialogInterface dialog, int which) {
							//TODO borrarMensaje (idMensaje);
							
						}
					});
					dialogo26 = constructorMensajesRecibidos26.create();
					dialogo26.show();
				}
				break;
			case 27:
				if (27 < numMensajes){
					AlertDialog dialogo27;
					AlertDialog.Builder constructorMensajesRecibidos27 = new AlertDialog.Builder(ActividadMensajesRecibidos.this);
					constructorMensajesRecibidos27.setCancelable(true);
					TextView texto27 = new TextView(ActividadMensajesRecibidos.this);
					texto27.setText(mensajes[i][3]);
					texto27.setGravity(Gravity.CENTER);
					constructorMensajesRecibidos27.setView(texto27);	
					constructorMensajesRecibidos27.setPositiveButton(R.string.aceptar, new OnClickListener() {
						
						public void onClick(DialogInterface dialog, int which) {
							dialog.dismiss();
						}
					});
					constructorMensajesRecibidos27.setNegativeButton(R.string.borrar, new OnClickListener() {
						
						public void onClick(DialogInterface dialog, int which) {
							//TODO borrarMensaje (idMensaje);
							
						}
					});
					dialogo27 = constructorMensajesRecibidos27.create();
					dialogo27.show();
				}
				break;
			case 28:
				if (28 < numMensajes){
					AlertDialog dialogo28;
					AlertDialog.Builder constructorMensajesRecibidos28 = new AlertDialog.Builder(ActividadMensajesRecibidos.this);
					constructorMensajesRecibidos28.setCancelable(true);
					TextView texto28 = new TextView(ActividadMensajesRecibidos.this);
					texto28.setText(mensajes[i][3]);
					texto28.setGravity(Gravity.CENTER);
					constructorMensajesRecibidos28.setView(texto28);	
					constructorMensajesRecibidos28.setPositiveButton(R.string.aceptar, new OnClickListener() {
						
						public void onClick(DialogInterface dialog, int which) {
							dialog.dismiss();
						}
					});
					constructorMensajesRecibidos28.setNegativeButton(R.string.borrar, new OnClickListener() {
						
						public void onClick(DialogInterface dialog, int which) {
							//TODO borrarMensaje (idMensaje);
							
						}
					});
					dialogo28 = constructorMensajesRecibidos28.create();
					dialogo28.show();
				}
				break;
			case 29:
				if (29 < numMensajes){
					AlertDialog dialogo29;
					AlertDialog.Builder constructorMensajesRecibidos29 = new AlertDialog.Builder(ActividadMensajesRecibidos.this);
					constructorMensajesRecibidos29.setCancelable(true);
					TextView texto29 = new TextView(ActividadMensajesRecibidos.this);
					texto29.setText(mensajes[i][3]);
					texto29.setGravity(Gravity.CENTER);
					constructorMensajesRecibidos29.setView(texto29);	
					constructorMensajesRecibidos29.setPositiveButton(R.string.aceptar, new OnClickListener() {
						
						public void onClick(DialogInterface dialog, int which) {
							dialog.dismiss();
						}
					});
					constructorMensajesRecibidos29.setNegativeButton(R.string.borrar, new OnClickListener() {
						
						public void onClick(DialogInterface dialog, int which) {
							//TODO borrarMensaje (idMensaje);
							
						}
					});
					dialogo29 = constructorMensajesRecibidos29.create();
					dialogo29.show();
				}
				break;
			case 30:
				if (30 < numMensajes){
					AlertDialog dialogo30;
					AlertDialog.Builder constructorMensajesRecibidos30 = new AlertDialog.Builder(ActividadMensajesRecibidos.this);
					constructorMensajesRecibidos30.setCancelable(true);
					TextView texto30 = new TextView(ActividadMensajesRecibidos.this);
					texto30.setText(mensajes[i][3]);
					texto30.setGravity(Gravity.CENTER);
					constructorMensajesRecibidos30.setView(texto30);	
					constructorMensajesRecibidos30.setPositiveButton(R.string.aceptar, new OnClickListener() {
						
						public void onClick(DialogInterface dialog, int which) {
							dialog.dismiss();
						}
					});
					constructorMensajesRecibidos30.setNegativeButton(R.string.borrar, new OnClickListener() {
						
						public void onClick(DialogInterface dialog, int which) {
							//TODO borrarMensaje (idMensaje);
							
						}
					});
					dialogo30 = constructorMensajesRecibidos30.create();
					dialogo30.show();
				}
				break;
			case 31:
				if (31 < numMensajes){
					AlertDialog dialogo31;
					AlertDialog.Builder constructorMensajesRecibidos31 = new AlertDialog.Builder(ActividadMensajesRecibidos.this);
					constructorMensajesRecibidos31.setCancelable(true);
					TextView texto31 = new TextView(ActividadMensajesRecibidos.this);
					texto31.setText(mensajes[i][3]);
					texto31.setGravity(Gravity.CENTER);
					constructorMensajesRecibidos31.setView(texto31);	
					constructorMensajesRecibidos31.setPositiveButton(R.string.aceptar, new OnClickListener() {
						
						public void onClick(DialogInterface dialog, int which) {
							dialog.dismiss();
						}
					});
					constructorMensajesRecibidos31.setNegativeButton(R.string.borrar, new OnClickListener() {
						
						public void onClick(DialogInterface dialog, int which) {
							//TODO borrarMensaje (idMensaje);
							
						}
					});
					dialogo31 = constructorMensajesRecibidos31.create();
					dialogo31.show();
				}
				break;
			case 32:
				if (32 < numMensajes){
					AlertDialog dialogo32;
					AlertDialog.Builder constructorMensajesRecibidos32 = new AlertDialog.Builder(ActividadMensajesRecibidos.this);
					constructorMensajesRecibidos32.setCancelable(true);
					TextView texto32 = new TextView(ActividadMensajesRecibidos.this);
					texto32.setText(mensajes[i][3]);
					texto32.setGravity(Gravity.CENTER);
					constructorMensajesRecibidos32.setView(texto32);	
					constructorMensajesRecibidos32.setPositiveButton(R.string.aceptar, new OnClickListener() {
						
						public void onClick(DialogInterface dialog, int which) {
							dialog.dismiss();
						}
					});
					constructorMensajesRecibidos32.setNegativeButton(R.string.borrar, new OnClickListener() {
						
						public void onClick(DialogInterface dialog, int which) {
							//TODO borrarMensaje (idMensaje);
							
						}
					});
					dialogo32 = constructorMensajesRecibidos32.create();
					dialogo32.show();
				}
				break;
			case 33:
				if (33 < numMensajes){
					AlertDialog dialogo33;
					AlertDialog.Builder constructorMensajesRecibidos33 = new AlertDialog.Builder(ActividadMensajesRecibidos.this);
					constructorMensajesRecibidos33.setCancelable(true);
					TextView texto33 = new TextView(ActividadMensajesRecibidos.this);
					texto33.setText(mensajes[i][3]);
					texto33.setGravity(Gravity.CENTER);
					constructorMensajesRecibidos33.setView(texto33);	
					constructorMensajesRecibidos33.setPositiveButton(R.string.aceptar, new OnClickListener() {
						
						public void onClick(DialogInterface dialog, int which) {
							dialog.dismiss();
						}
					});
					constructorMensajesRecibidos33.setNegativeButton(R.string.borrar, new OnClickListener() {
						
						public void onClick(DialogInterface dialog, int which) {
							//TODO borrarMensaje (idMensaje);
							
						}
					});
					dialogo33 = constructorMensajesRecibidos33.create();
					dialogo33.show();
				}
				break;
			case 34:
				if (34 < numMensajes){
					AlertDialog dialogo34;
					AlertDialog.Builder constructorMensajesRecibidos34 = new AlertDialog.Builder(ActividadMensajesRecibidos.this);
					constructorMensajesRecibidos34.setCancelable(true);
					TextView texto34 = new TextView(ActividadMensajesRecibidos.this);
					texto34.setText(mensajes[i][3]);
					texto34.setGravity(Gravity.CENTER);
					constructorMensajesRecibidos34.setView(texto34);	
					constructorMensajesRecibidos34.setPositiveButton(R.string.aceptar, new OnClickListener() {
						
						public void onClick(DialogInterface dialog, int which) {
							dialog.dismiss();
						}
					});
					constructorMensajesRecibidos34.setNegativeButton(R.string.borrar, new OnClickListener() {
						
						public void onClick(DialogInterface dialog, int which) {
							//TODO borrarMensaje (idMensaje);
							
						}
					});
					dialogo34 = constructorMensajesRecibidos34.create();
					dialogo34.show();
				}
				break;
			case 35:
				if (35 < numMensajes){
					AlertDialog dialogo35;
					AlertDialog.Builder constructorMensajesRecibidos35 = new AlertDialog.Builder(ActividadMensajesRecibidos.this);
					constructorMensajesRecibidos35.setCancelable(true);
					TextView texto35 = new TextView(ActividadMensajesRecibidos.this);
					texto35.setText(mensajes[i][3]);
					texto35.setGravity(Gravity.CENTER);
					constructorMensajesRecibidos35.setView(texto35);	
					constructorMensajesRecibidos35.setPositiveButton(R.string.aceptar, new OnClickListener() {
						
						public void onClick(DialogInterface dialog, int which) {
							dialog.dismiss();
						}
					});
					constructorMensajesRecibidos35.setNegativeButton(R.string.borrar, new OnClickListener() {
						
						public void onClick(DialogInterface dialog, int which) {
							//TODO borrarMensaje (idMensaje);
							
						}
					});
					dialogo35 = constructorMensajesRecibidos35.create();
					dialogo35.show();
				}
				break;
			case 36:
				if (36 < numMensajes){
					AlertDialog dialogo36;
					AlertDialog.Builder constructorMensajesRecibidos36 = new AlertDialog.Builder(ActividadMensajesRecibidos.this);
					constructorMensajesRecibidos36.setCancelable(true);
					TextView texto36 = new TextView(ActividadMensajesRecibidos.this);
					texto36.setText(mensajes[i][3]);
					texto36.setGravity(Gravity.CENTER);
					constructorMensajesRecibidos36.setView(texto36);	
					constructorMensajesRecibidos36.setPositiveButton(R.string.aceptar, new OnClickListener() {
						
						public void onClick(DialogInterface dialog, int which) {
							dialog.dismiss();
						}
					});
					constructorMensajesRecibidos36.setNegativeButton(R.string.borrar, new OnClickListener() {
						
						public void onClick(DialogInterface dialog, int which) {
							//TODO borrarMensaje (idMensaje);
							
						}
					});
					dialogo36 = constructorMensajesRecibidos36.create();
					dialogo36.show();
				}
				break;
			case 37:
				if (37 < numMensajes){
					AlertDialog dialogo37;
					AlertDialog.Builder constructorMensajesRecibidos37 = new AlertDialog.Builder(ActividadMensajesRecibidos.this);
					constructorMensajesRecibidos37.setCancelable(true);
					TextView texto37 = new TextView(ActividadMensajesRecibidos.this);
					texto37.setText(mensajes[i][3]);
					texto37.setGravity(Gravity.CENTER);
					constructorMensajesRecibidos37.setView(texto37);	
					constructorMensajesRecibidos37.setPositiveButton(R.string.aceptar, new OnClickListener() {
						
						public void onClick(DialogInterface dialog, int which) {
							dialog.dismiss();
						}
					});
					constructorMensajesRecibidos37.setNegativeButton(R.string.borrar, new OnClickListener() {
						
						public void onClick(DialogInterface dialog, int which) {
							//TODO borrarMensaje (idMensaje);
							
						}
					});
					dialogo37 = constructorMensajesRecibidos37.create();
					dialogo37.show();
				}
				break;
			case 38:
				if (38 < numMensajes){
					AlertDialog dialogo38;
					AlertDialog.Builder constructorMensajesRecibidos38 = new AlertDialog.Builder(ActividadMensajesRecibidos.this);
					constructorMensajesRecibidos38.setCancelable(true);
					TextView texto38 = new TextView(ActividadMensajesRecibidos.this);
					texto38.setText(mensajes[i][3]);
					texto38.setGravity(Gravity.CENTER);
					constructorMensajesRecibidos38.setView(texto38);	
					constructorMensajesRecibidos38.setPositiveButton(R.string.aceptar, new OnClickListener() {
						
						public void onClick(DialogInterface dialog, int which) {
							dialog.dismiss();
						}
					});
					constructorMensajesRecibidos38.setNegativeButton(R.string.borrar, new OnClickListener() {
						
						public void onClick(DialogInterface dialog, int which) {
							//TODO borrarMensaje (idMensaje);
							
						}
					});
					dialogo38 = constructorMensajesRecibidos38.create();
					dialogo38.show();
				}
				break;
			case 39:
				if (39 < numMensajes){
					AlertDialog dialogo39;
					AlertDialog.Builder constructorMensajesRecibidos39 = new AlertDialog.Builder(ActividadMensajesRecibidos.this);
					constructorMensajesRecibidos39.setCancelable(true);
					TextView texto39 = new TextView(ActividadMensajesRecibidos.this);
					texto39.setText(mensajes[i][3]);
					texto39.setGravity(Gravity.CENTER);
					constructorMensajesRecibidos39.setView(texto39);	
					constructorMensajesRecibidos39.setPositiveButton(R.string.aceptar, new OnClickListener() {
						
						public void onClick(DialogInterface dialog, int which) {
							dialog.dismiss();
						}
					});
					constructorMensajesRecibidos39.setNegativeButton(R.string.borrar, new OnClickListener() {
						
						public void onClick(DialogInterface dialog, int which) {
							//TODO borrarMensaje (idMensaje);
							
						}
					});
					dialogo39 = constructorMensajesRecibidos39.create();
					dialogo39.show();
				}
				break;
			case 40:
				if (40 < numMensajes){
					AlertDialog dialogo40;
					AlertDialog.Builder constructorMensajesRecibidos40 = new AlertDialog.Builder(ActividadMensajesRecibidos.this);
					constructorMensajesRecibidos40.setCancelable(true);
					TextView texto40 = new TextView(ActividadMensajesRecibidos.this);
					texto40.setText(mensajes[i][3]);
					texto40.setGravity(Gravity.CENTER);
					constructorMensajesRecibidos40.setView(texto40);	
					constructorMensajesRecibidos40.setPositiveButton(R.string.aceptar, new OnClickListener() {
						
						public void onClick(DialogInterface dialog, int which) {
							dialog.dismiss();
						}
					});
					constructorMensajesRecibidos40.setNegativeButton(R.string.borrar, new OnClickListener() {
						
						public void onClick(DialogInterface dialog, int which) {
							//TODO borrarMensaje (idMensaje);
							
						}
					});
					dialogo40 = constructorMensajesRecibidos40.create();
					dialogo40.show();
				}
				break;
			case 41:
				if (41 < numMensajes){
					AlertDialog dialogo41;
					AlertDialog.Builder constructorMensajesRecibidos41 = new AlertDialog.Builder(ActividadMensajesRecibidos.this);
					constructorMensajesRecibidos41.setCancelable(true);
					TextView texto41 = new TextView(ActividadMensajesRecibidos.this);
					texto41.setText(mensajes[i][3]);
					texto41.setGravity(Gravity.CENTER);
					constructorMensajesRecibidos41.setView(texto41);	
					constructorMensajesRecibidos41.setPositiveButton(R.string.aceptar, new OnClickListener() {
						
						public void onClick(DialogInterface dialog, int which) {
							dialog.dismiss();
						}
					});
					constructorMensajesRecibidos41.setNegativeButton(R.string.borrar, new OnClickListener() {
						
						public void onClick(DialogInterface dialog, int which) {
							//TODO borrarMensaje (idMensaje);
							
						}
					});
					dialogo41 = constructorMensajesRecibidos41.create();
					dialogo41.show();
				}
				break;
			case 42:
				if (42 < numMensajes){
					AlertDialog dialogo42;
					AlertDialog.Builder constructorMensajesRecibidos42 = new AlertDialog.Builder(ActividadMensajesRecibidos.this);
					constructorMensajesRecibidos42.setCancelable(true);
					TextView texto42 = new TextView(ActividadMensajesRecibidos.this);
					texto42.setText(mensajes[i][3]);
					texto42.setGravity(Gravity.CENTER);
					constructorMensajesRecibidos42.setView(texto42);	
					constructorMensajesRecibidos42.setPositiveButton(R.string.aceptar, new OnClickListener() {
						
						public void onClick(DialogInterface dialog, int which) {
							dialog.dismiss();
						}
					});
					constructorMensajesRecibidos42.setNegativeButton(R.string.borrar, new OnClickListener() {
						
						public void onClick(DialogInterface dialog, int which) {
							//TODO borrarMensaje (idMensaje);
							
						}
					});
					dialogo42 = constructorMensajesRecibidos42.create();
					dialogo42.show();
				}
				break;
			case 43:
				if (43 < numMensajes){
					AlertDialog dialogo43;
					AlertDialog.Builder constructorMensajesRecibidos43 = new AlertDialog.Builder(ActividadMensajesRecibidos.this);
					constructorMensajesRecibidos43.setCancelable(true);
					TextView texto43 = new TextView(ActividadMensajesRecibidos.this);
					texto43.setText(mensajes[i][3]);
					texto43.setGravity(Gravity.CENTER);
					constructorMensajesRecibidos43.setView(texto43);	
					constructorMensajesRecibidos43.setPositiveButton(R.string.aceptar, new OnClickListener() {
						
						public void onClick(DialogInterface dialog, int which) {
							dialog.dismiss();
						}
					});
					constructorMensajesRecibidos43.setNegativeButton(R.string.borrar, new OnClickListener() {
						
						public void onClick(DialogInterface dialog, int which) {
							//TODO borrarMensaje (idMensaje);
							
						}
					});
					dialogo43 = constructorMensajesRecibidos43.create();
					dialogo43.show();
				}
				break;
			case 44:
				if (44 < numMensajes){
					AlertDialog dialogo44;
					AlertDialog.Builder constructorMensajesRecibidos44 = new AlertDialog.Builder(ActividadMensajesRecibidos.this);
					constructorMensajesRecibidos44.setCancelable(true);
					TextView texto44 = new TextView(ActividadMensajesRecibidos.this);
					texto44.setText(mensajes[i][3]);
					texto44.setGravity(Gravity.CENTER);
					constructorMensajesRecibidos44.setView(texto44);	
					constructorMensajesRecibidos44.setPositiveButton(R.string.aceptar, new OnClickListener() {
						
						public void onClick(DialogInterface dialog, int which) {
							dialog.dismiss();
						}
					});
					constructorMensajesRecibidos44.setNegativeButton(R.string.borrar, new OnClickListener() {
						
						public void onClick(DialogInterface dialog, int which) {
							//TODO borrarMensaje (idMensaje);
							
						}
					});
					dialogo44 = constructorMensajesRecibidos44.create();
					dialogo44.show();
				}
				break;
			case 45:
				if (45 < numMensajes){
					AlertDialog dialogo45;
					AlertDialog.Builder constructorMensajesRecibidos45 = new AlertDialog.Builder(ActividadMensajesRecibidos.this);
					constructorMensajesRecibidos45.setCancelable(true);
					TextView texto45 = new TextView(ActividadMensajesRecibidos.this);
					texto45.setText(mensajes[i][3]);
					texto45.setGravity(Gravity.CENTER);
					constructorMensajesRecibidos45.setView(texto45);	
					constructorMensajesRecibidos45.setPositiveButton(R.string.aceptar, new OnClickListener() {
						
						public void onClick(DialogInterface dialog, int which) {
							dialog.dismiss();
						}
					});
					constructorMensajesRecibidos45.setNegativeButton(R.string.borrar, new OnClickListener() {
						
						public void onClick(DialogInterface dialog, int which) {
							//TODO borrarMensaje (idMensaje);
							
						}
					});
					dialogo45 = constructorMensajesRecibidos45.create();
					dialogo45.show();
				}
				break;
			case 46:
				if (46 < numMensajes){
					AlertDialog dialogo46;
					AlertDialog.Builder constructorMensajesRecibidos46 = new AlertDialog.Builder(ActividadMensajesRecibidos.this);
					constructorMensajesRecibidos46.setCancelable(true);
					TextView texto46 = new TextView(ActividadMensajesRecibidos.this);
					texto46.setText(mensajes[i][3]);
					texto46.setGravity(Gravity.CENTER);
					constructorMensajesRecibidos46.setView(texto46);	
					constructorMensajesRecibidos46.setPositiveButton(R.string.aceptar, new OnClickListener() {
						
						public void onClick(DialogInterface dialog, int which) {
							dialog.dismiss();
						}
					});
					constructorMensajesRecibidos46.setNegativeButton(R.string.borrar, new OnClickListener() {
						
						public void onClick(DialogInterface dialog, int which) {
							//TODO borrarMensaje (idMensaje);
							
						}
					});
					dialogo46 = constructorMensajesRecibidos46.create();
					dialogo46.show();
				}
				break;
			case 47:
				if (47 < numMensajes){
					AlertDialog dialogo47;
					AlertDialog.Builder constructorMensajesRecibidos47 = new AlertDialog.Builder(ActividadMensajesRecibidos.this);
					constructorMensajesRecibidos47.setCancelable(true);
					TextView texto47 = new TextView(ActividadMensajesRecibidos.this);
					texto47.setText(mensajes[i][3]);
					texto47.setGravity(Gravity.CENTER);
					constructorMensajesRecibidos47.setView(texto47);	
					constructorMensajesRecibidos47.setPositiveButton(R.string.aceptar, new OnClickListener() {
						
						public void onClick(DialogInterface dialog, int which) {
							dialog.dismiss();
						}
					});
					constructorMensajesRecibidos47.setNegativeButton(R.string.borrar, new OnClickListener() {
						
						public void onClick(DialogInterface dialog, int which) {
							//TODO borrarMensaje (idMensaje);
							
						}
					});
					dialogo47 = constructorMensajesRecibidos47.create();
					dialogo47.show();
				}
				break;
			case 48:
				if (48 < numMensajes){
					AlertDialog dialogo48;
					AlertDialog.Builder constructorMensajesRecibidos48 = new AlertDialog.Builder(ActividadMensajesRecibidos.this);
					constructorMensajesRecibidos48.setCancelable(true);
					TextView texto48 = new TextView(ActividadMensajesRecibidos.this);
					texto48.setText(mensajes[i][3]);
					texto48.setGravity(Gravity.CENTER);
					constructorMensajesRecibidos48.setView(texto48);	
					constructorMensajesRecibidos48.setPositiveButton(R.string.aceptar, new OnClickListener() {
						
						public void onClick(DialogInterface dialog, int which) {
							dialog.dismiss();
						}
					});
					constructorMensajesRecibidos48.setNegativeButton(R.string.borrar, new OnClickListener() {
						
						public void onClick(DialogInterface dialog, int which) {
							//TODO borrarMensaje (idMensaje);
							
						}
					});
					dialogo48 = constructorMensajesRecibidos48.create();
					dialogo48.show();
				}
				break;
			case 49:
				if (49 < numMensajes){
					AlertDialog dialogo49;
					AlertDialog.Builder constructorMensajesRecibidos49 = new AlertDialog.Builder(ActividadMensajesRecibidos.this);
					constructorMensajesRecibidos49.setCancelable(true);
					TextView texto49 = new TextView(ActividadMensajesRecibidos.this);
					texto49.setText(mensajes[i][3]);
					texto49.setGravity(Gravity.CENTER);
					constructorMensajesRecibidos49.setView(texto49);	
					constructorMensajesRecibidos49.setPositiveButton(R.string.aceptar, new OnClickListener() {
						
						public void onClick(DialogInterface dialog, int which) {
							dialog.dismiss();
						}
					});
					constructorMensajesRecibidos49.setNegativeButton(R.string.borrar, new OnClickListener() {
						
						public void onClick(DialogInterface dialog, int which) {
							//TODO borrarMensaje (idMensaje);
							
						}
					});
					dialogo49 = constructorMensajesRecibidos49.create();
					dialogo49.show();
				}
				break;
			case 50:
				if (50 < numMensajes){
					AlertDialog dialogo50;
					AlertDialog.Builder constructorMensajesRecibidos50 = new AlertDialog.Builder(ActividadMensajesRecibidos.this);
					constructorMensajesRecibidos50.setCancelable(true);
					TextView texto50 = new TextView(ActividadMensajesRecibidos.this);
					texto50.setText(mensajes[i][3]);
					texto50.setGravity(Gravity.CENTER);
					constructorMensajesRecibidos50.setView(texto50);	
					constructorMensajesRecibidos50.setPositiveButton(R.string.aceptar, new OnClickListener() {
						
						public void onClick(DialogInterface dialog, int which) {
							dialog.dismiss();
						}
					});
					constructorMensajesRecibidos50.setNegativeButton(R.string.borrar, new OnClickListener() {
						
						public void onClick(DialogInterface dialog, int which) {
							//TODO borrarMensaje (idMensaje);
							
						}
					});
					dialogo50 = constructorMensajesRecibidos50.create();
					dialogo50.show();
				}
				break;
			case 51:
				if (51 < numMensajes){
					AlertDialog dialogo51;
					AlertDialog.Builder constructorMensajesRecibidos51 = new AlertDialog.Builder(ActividadMensajesRecibidos.this);
					constructorMensajesRecibidos51.setCancelable(true);
					TextView texto51 = new TextView(ActividadMensajesRecibidos.this);
					texto51.setText(mensajes[i][3]);
					texto51.setGravity(Gravity.CENTER);
					constructorMensajesRecibidos51.setView(texto51);	
					constructorMensajesRecibidos51.setPositiveButton(R.string.aceptar, new OnClickListener() {
						
						public void onClick(DialogInterface dialog, int which) {
							dialog.dismiss();
						}
					});
					constructorMensajesRecibidos51.setNegativeButton(R.string.borrar, new OnClickListener() {
						
						public void onClick(DialogInterface dialog, int which) {
							//TODO borrarMensaje (idMensaje);
							
						}
					});
					dialogo51 = constructorMensajesRecibidos51.create();
					dialogo51.show();
				}
				break;
			case 52:
				if (52 < numMensajes){
					AlertDialog dialogo52;
					AlertDialog.Builder constructorMensajesRecibidos52 = new AlertDialog.Builder(ActividadMensajesRecibidos.this);
					constructorMensajesRecibidos52.setCancelable(true);
					TextView texto52 = new TextView(ActividadMensajesRecibidos.this);
					texto52.setText(mensajes[i][3]);
					texto52.setGravity(Gravity.CENTER);
					constructorMensajesRecibidos52.setView(texto52);	
					constructorMensajesRecibidos52.setPositiveButton(R.string.aceptar, new OnClickListener() {
						
						public void onClick(DialogInterface dialog, int which) {
							dialog.dismiss();
						}
					});
					constructorMensajesRecibidos52.setNegativeButton(R.string.borrar, new OnClickListener() {
						
						public void onClick(DialogInterface dialog, int which) {
							//TODO borrarMensaje (idMensaje);
							
						}
					});
					dialogo52 = constructorMensajesRecibidos52.create();
					dialogo52.show();
				}
				break;
			case 53:
				if (53 < numMensajes){
					AlertDialog dialogo53;
					AlertDialog.Builder constructorMensajesRecibidos53 = new AlertDialog.Builder(ActividadMensajesRecibidos.this);
					constructorMensajesRecibidos53.setCancelable(true);
					TextView texto53 = new TextView(ActividadMensajesRecibidos.this);
					texto53.setText(mensajes[i][3]);
					texto53.setGravity(Gravity.CENTER);
					constructorMensajesRecibidos53.setView(texto53);	
					constructorMensajesRecibidos53.setPositiveButton(R.string.aceptar, new OnClickListener() {
						
						public void onClick(DialogInterface dialog, int which) {
							dialog.dismiss();
						}
					});
					constructorMensajesRecibidos53.setNegativeButton(R.string.borrar, new OnClickListener() {
						
						public void onClick(DialogInterface dialog, int which) {
							//TODO borrarMensaje (idMensaje);
							
						}
					});
					dialogo53 = constructorMensajesRecibidos53.create();
					dialogo53.show();
				}
				break;
			case 54:
				if (54 < numMensajes){
					AlertDialog dialogo54;
					AlertDialog.Builder constructorMensajesRecibidos54 = new AlertDialog.Builder(ActividadMensajesRecibidos.this);
					constructorMensajesRecibidos54.setCancelable(true);
					TextView texto54 = new TextView(ActividadMensajesRecibidos.this);
					texto54.setText(mensajes[i][3]);
					texto54.setGravity(Gravity.CENTER);
					constructorMensajesRecibidos54.setView(texto54);	
					constructorMensajesRecibidos54.setPositiveButton(R.string.aceptar, new OnClickListener() {
						
						public void onClick(DialogInterface dialog, int which) {
							dialog.dismiss();
						}
					});
					constructorMensajesRecibidos54.setNegativeButton(R.string.borrar, new OnClickListener() {
						
						public void onClick(DialogInterface dialog, int which) {
							//TODO borrarMensaje (idMensaje);
							
						}
					});
					dialogo54 = constructorMensajesRecibidos54.create();
					dialogo54.show();
				}
				break;
			case 55:
				if (55 < numMensajes){
					AlertDialog dialogo55;
					AlertDialog.Builder constructorMensajesRecibidos55 = new AlertDialog.Builder(ActividadMensajesRecibidos.this);
					constructorMensajesRecibidos55.setCancelable(true);
					TextView texto55 = new TextView(ActividadMensajesRecibidos.this);
					texto55.setText(mensajes[i][3]);
					texto55.setGravity(Gravity.CENTER);
					constructorMensajesRecibidos55.setView(texto55);	
					constructorMensajesRecibidos55.setPositiveButton(R.string.aceptar, new OnClickListener() {
						
						public void onClick(DialogInterface dialog, int which) {
							dialog.dismiss();
						}
					});
					constructorMensajesRecibidos55.setNegativeButton(R.string.borrar, new OnClickListener() {
						
						public void onClick(DialogInterface dialog, int which) {
							//TODO borrarMensaje (idMensaje);
							
						}
					});
					dialogo55 = constructorMensajesRecibidos55.create();
					dialogo55.show();
				}
				break;
			case 56:
				if (56 < numMensajes){
					AlertDialog dialogo56;
					AlertDialog.Builder constructorMensajesRecibidos56 = new AlertDialog.Builder(ActividadMensajesRecibidos.this);
					constructorMensajesRecibidos56.setCancelable(true);
					TextView texto56 = new TextView(ActividadMensajesRecibidos.this);
					texto56.setText(mensajes[i][3]);
					texto56.setGravity(Gravity.CENTER);
					constructorMensajesRecibidos56.setView(texto56);	
					constructorMensajesRecibidos56.setPositiveButton(R.string.aceptar, new OnClickListener() {
						
						public void onClick(DialogInterface dialog, int which) {
							dialog.dismiss();
						}
					});
					constructorMensajesRecibidos56.setNegativeButton(R.string.borrar, new OnClickListener() {
						
						public void onClick(DialogInterface dialog, int which) {
							//TODO borrarMensaje (idMensaje);
							
						}
					});
					dialogo56 = constructorMensajesRecibidos56.create();
					dialogo56.show();
				}
				break;
			case 57:
				if (57 < numMensajes){
					AlertDialog dialogo57;
					AlertDialog.Builder constructorMensajesRecibidos57 = new AlertDialog.Builder(ActividadMensajesRecibidos.this);
					constructorMensajesRecibidos57.setCancelable(true);
					TextView texto57 = new TextView(ActividadMensajesRecibidos.this);
					texto57.setText(mensajes[i][3]);
					texto57.setGravity(Gravity.CENTER);
					constructorMensajesRecibidos57.setView(texto57);	
					constructorMensajesRecibidos57.setPositiveButton(R.string.aceptar, new OnClickListener() {
						
						public void onClick(DialogInterface dialog, int which) {
							dialog.dismiss();
						}
					});
					constructorMensajesRecibidos57.setNegativeButton(R.string.borrar, new OnClickListener() {
						
						public void onClick(DialogInterface dialog, int which) {
							//TODO borrarMensaje (idMensaje);
							
						}
					});
					dialogo57 = constructorMensajesRecibidos57.create();
					dialogo57.show();
				}
				break;
			case 58:
				if (58 < numMensajes){
					AlertDialog dialogo58;
					AlertDialog.Builder constructorMensajesRecibidos58 = new AlertDialog.Builder(ActividadMensajesRecibidos.this);
					constructorMensajesRecibidos58.setCancelable(true);
					TextView texto58 = new TextView(ActividadMensajesRecibidos.this);
					texto58.setText(mensajes[i][3]);
					texto58.setGravity(Gravity.CENTER);
					constructorMensajesRecibidos58.setView(texto58);	
					constructorMensajesRecibidos58.setPositiveButton(R.string.aceptar, new OnClickListener() {
						
						public void onClick(DialogInterface dialog, int which) {
							dialog.dismiss();
						}
					});
					constructorMensajesRecibidos58.setNegativeButton(R.string.borrar, new OnClickListener() {
						
						public void onClick(DialogInterface dialog, int which) {
							//TODO borrarMensaje (idMensaje);
							
						}
					});
					dialogo58 = constructorMensajesRecibidos58.create();
					dialogo58.show();
				}
				break;
			case 59:
				if (59 < numMensajes){
					AlertDialog dialogo59;
					AlertDialog.Builder constructorMensajesRecibidos59 = new AlertDialog.Builder(ActividadMensajesRecibidos.this);
					constructorMensajesRecibidos59.setCancelable(true);
					TextView texto59 = new TextView(ActividadMensajesRecibidos.this);
					texto59.setText(mensajes[i][3]);
					texto59.setGravity(Gravity.CENTER);
					constructorMensajesRecibidos59.setView(texto59);	
					constructorMensajesRecibidos59.setPositiveButton(R.string.aceptar, new OnClickListener() {
						
						public void onClick(DialogInterface dialog, int which) {
							dialog.dismiss();
						}
					});
					constructorMensajesRecibidos59.setNegativeButton(R.string.borrar, new OnClickListener() {
						
						public void onClick(DialogInterface dialog, int which) {
							//TODO borrarMensaje (idMensaje);
							
						}
					});
					dialogo59 = constructorMensajesRecibidos59.create();
					dialogo59.show();
				}
				break;
			
				
		}
}
	
	
	
	private String [][] mensajesRecibidos(String usuarioReceptor){
		
		final String URLconsultarPetic = "http://aperezba.dyndns.org:9080/webService/ListaRecibidos2Action.action?parametroJSON=" + usuarioReceptor;
		
		InputStream is = null;
		String result = "";
	
		Log.i("CadenaConexión", "creamos las variables y la url de conexión" + URLconsultarPetic);
	
		try{
		    HttpClient httpclient = new DefaultHttpClient();
		    HttpPost httppost = new HttpPost(URLconsultarPetic);
		    HttpResponse response = httpclient.execute(httppost);
		    HttpEntity entity = response.getEntity();
		    is = entity.getContent();
		
		}catch(Exception e){
		    Log.i("ErrorConexión", "Error en la conexión http: "+e.toString());
		}
		
		//convert response to string
		try{
		    BufferedReader reader = new BufferedReader(new InputStreamReader(is,"iso-8859-1"),8);
		    StringBuilder sb = new StringBuilder();
		    String line = null;
		    while ((line = reader.readLine()) != null) {
		            sb.append(line + "\n");
		    }
		    is.close();
		    result=sb.toString();
		    
		}catch(Exception e){
		    Log.i("ErrorConversion", "Error converting result "+e);
		}
	   	Log.i("CadenaConexión", "el resultado es " + result);
		
		
		String ret = null;
		try{
			
			JSONObject json = (JSONObject) new JSONTokener(result).nextValue();
			Log.i("infoJSONEsAmigo", "Objeto JSON creado");
	    	JSONArray nameArray = json.names();
	    	Log.i("infoJSONEsAmigo", "obtenemos nombres");
	    	JSONArray valArray = json.toJSONArray(nameArray);
	    	Log.i("infoJSONEsAmigo", "lo pasamos a array");
	    	
    		ret = new String (valArray.getString(0));
    		Log.i("infoJSONEsAmigo", "Lo convertimos a String");
	    		
		}catch(JSONException e){
	            Log.e("infoJSONEsAmigo", "Error parsing data: "+e.toString());
	            //Toast.makeText(cntxt, "Error parsing data "+e.toString(), Toast.LENGTH_LONG).show();
		}
		catch (NullPointerException exc){
			Log.i("Excepción", "Error" + exc);
		}
       
		
		String mensaRecibidos [][] = new String[256][4];
		String aux[] = new String[256];
		int inicio=3;
		int indice=0;
		//Colocamos los usuarios en un array para sacarlos más cómodamente
		int i = 0;
		Log.i("Mensajes Recibidos", ret);
     	Log.i("Mensajes Recibidos", "tamaño cadena: " + ret.length());
     	indice = ret.indexOf(",");
     	Log.i("Mensajes Recibidos", "índice inicial: " + indice);
     	
     	
     	
     	//Comprobamos si hay alguna solicitud de amigo.
     	if(ret.length()>2){
     		
     		if (indice == -1 && ret.equals("No hay mensajes sin en la bandeja de entrada")){
	     		Log.i("TratamientoInicialyFinalSinMsj", ret);
	         	Log.i("TratamientoInicialyFinalSinMsg", "tamaño cadena: " + ret.length());
	         	
	     			mensaRecibidos[0][0]="-1";
	     			Log.i("TratamientoInicialyFinalSinMsj", mensaRecibidos[0][0]);
	     			mensaRecibidos[0][1] = ret;
	     			Log.i("TratamientoInicialyFinalSinMsj", mensaRecibidos[0][1]);
	     			mensaRecibidos[0][2] = ret;
	     			Log.i("TratamientoInicialyFinalSinMsj", mensaRecibidos[0][2]);
	     			mensaRecibidos[0][3] = ret;
	     			
	     			               
	     		         	
	     			Log.i("TratamientoInicialyFinalConMsj", "idMensaje: " + mensaRecibidos[0][0] + " nombreEnviador: " + mensaRecibidos[0][1] + " nombreReceptor" + mensaRecibidos[0][2] + " mensaje: " + mensaRecibidos[0][3]);
	         	
	         	i++;
	         	Log.i("logRestanteCadenaSinMsj", "contador=" + i + " resto de la cadena " + ret);
		         
	     	}else if (indice == -1 && !ret.equals("No hay mensajes sin en la bandeja de entrada")){
	     		Log.i("TratamientoInicialyFinalConMsj", ret);
	     		aux[i] = ret.substring(ret.indexOf("[")+1,ret.length()-1);
	     		Log.i("TratamientoInicialyFinalConMsj", aux[i]);
	     		mensaRecibidos[i] = aux[i].split("xyx");
	     		Log.i("TratamientoInicialyFinalConMsj", "idMensaje: " + mensaRecibidos[0][0] + " nombreEnviador: " + mensaRecibidos[0][1] + " nombreReceptor" + mensaRecibidos[0][2] + " mensaje: " + mensaRecibidos[0][3]);
	     		i++;
		         
	     	}else if (indice!=0){	         		
	     	
	         	aux[i] = ret.substring(ret.indexOf("\"")+1, ret.indexOf(","));
	         	Log.i("Mensajes Recibidos", aux[i]);
	         	inicio = inicio + aux[i].length();
	         	Log.i("Mensajes Recibidos", "inicio: " + inicio);
	         	ret=ret.substring(inicio,ret.length());
	         	Log.i("log", "corte de cadena bien hecho: " + ret);
	         	mensaRecibidos[i] = aux[i].split("xyx");
	         	Log.i("TratamientoInicialyFinalConMsj", "idMensaje: " + mensaRecibidos[0][0] + " nombreEnviador: " + mensaRecibidos[0][1] + " nombreReceptor" + mensaRecibidos[0][2] + " mensaje: " + mensaRecibidos[0][3]);
	         	
	         	indice = ret.indexOf(",");
	         	Log.i("log", ret);
	         	i++;
	         	
	            while (indice !=-1){
	            	
	            	
	            
	            	Log.i("Mensajes Recibidos", ret);
	            	Log.i("Mensajes Recibidos", "tamaño cadena: " + ret.length());
	            	aux[i] = ret.substring(ret.indexOf("\"")+1, ret.indexOf(","));
	            	Log.i("Mensajes Recibidos", aux[i]);
	            	inicio = aux[i].length();
	            	Log.i("Mensajes Recibidos","inicio: "+inicio);
	            	ret=ret.substring(inicio+1,ret.length());
	            	
	            	mensaRecibidos[i] = aux[i].split("xyx");
	            	Log.i("TratamientoInicialyFinalConMsj", "idMensaje: " + mensaRecibidos[0][0] + " nombreEnviador: " + mensaRecibidos[0][1] + " nombreReceptor" + mensaRecibidos[0][2] + " mensaje: " + mensaRecibidos[0][3]);
	             	
	            	Log.i("Mensajes Recibidos", ret);
	            	indice = ret.indexOf(",");
	            	i++;
	            }
	            
	            Log.i("TratamientoFinal", ret);
	         	Log.i("TratamientoFinal", "tamaño cadena: " + ret.length());
	         	aux[i] = ret.substring(ret.indexOf("\"")+1, ret.indexOf("]"));
	         	Log.i("TratamientoFinal", aux[i]);
	         	inicio = aux[i].length();
	         	Log.i("TratamientoFinal","inicio: "+inicio);
	         	ret=ret.substring(inicio+1,ret.length());
	         	
	         	mensaRecibidos[i] = aux[i].split("xyx");
	         	Log.i("Mensajes Recibidos", "idEnviador: " + mensaRecibidos[i][0] + " idEnviado: " + mensaRecibidos[i][1] + " Nombre: " + mensaRecibidos[i][2] + " mensaje: " + mensaRecibidos[i][3]);
	         	i++;
	         	Log.i("Mensajes Recibidos", "contador=" + i + " resto de la cadena " + ret);
	     	}
	     	mensaRecibidos[i][0]="-1";
     	} 	
     	numMensajes = i;
     	return mensaRecibidos;
	}
	public boolean onKeyDown(int keyCode, KeyEvent event){
		if (keyCode == KeyEvent.KEYCODE_BACK){
			Log.i("PulsandoPatrásRecibidos", "Eh!! has pulsao patrás!!");
			finish();
			return true;
		}
		Log.i("PulsandoPatrásRecibidos", "Eh?? has pulsao patrás??");
		return super.onKeyDown(keyCode, event);
	}
	public void onDestroy() {
		Log.i("Destroyeeeeeer", "vamos a salir de Mensajes Recibidos");
		super.onDestroy();
	}
	


}
